Bug 297254

Summary: JJ: Width and height can be changed independently during PDF import
Product: krita Reporter: Antoine <alecail>
Component: File formatsAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: alecail, halla, sven.langkamp
Priority: NOR    
Version: 2.4   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:

Description Antoine 2012-04-01 16:52:17 UTC
When you import PDF, there should be a way to link the width and height with an aspect ratio. By default, the width and height can be changed independently, and there is no way to compute the correct height according to a given aspect ratio and the current width.
Comment 1 Halla Rempt 2012-04-01 16:54:52 UTC
Right again... Antoine -- you wouldn't by any chance want to help fix some of these issues? I never noticed them before :-)
Comment 2 Antoine 2012-04-01 17:03:14 UTC
Yes I can help you fix or track these issues. I must be sure that they are confirmed, then I will dive into the source code.
Comment 3 Halla Rempt 2012-04-01 17:56:33 UTC
Apart from the big file one -- I need to test that still -- yes, they are all confirmed :-)
Comment 4 Halla Rempt 2014-03-02 10:25:16 UTC
Git commit 104090790f44594a8a2a42da85ff97da950c3c33 by Boudewijn Rempt.
Committed on 02/03/2014 at 10:23.
Pushed by rempt into branch 'master'.

Maintained the Aspect ratio of height and width during pdf import
REVIEW:116009

Patch by Swarn Kumar. Thanks!

M  +41   -1    krita/plugins/formats/pdf/kis_pdf_import_widget.cpp
M  +4    -0    krita/plugins/formats/pdf/kis_pdf_import_widget.h
M  +15   -0    krita/plugins/formats/pdf/pdfimportwidgetbase.ui

http://commits.kde.org/calligra/104090790f44594a8a2a42da85ff97da950c3c33
Comment 5 Halla Rempt 2014-03-02 10:36:08 UTC
Git commit bbb921613cafdfe1f46bf4d942e4ee3e97dedc82 by Boudewijn Rempt.
Committed on 02/03/2014 at 10:23.
Pushed by rempt into branch 'calligra/2.8'.

Maintained the Aspect ratio of height and width during pdf import
REVIEW:116009

Patch by Swarn Kumar. Thanks!

M  +41   -1    krita/plugins/formats/pdf/kis_pdf_import_widget.cpp
M  +4    -0    krita/plugins/formats/pdf/kis_pdf_import_widget.h
M  +15   -0    krita/plugins/formats/pdf/pdfimportwidgetbase.ui

http://commits.kde.org/calligra/bbb921613cafdfe1f46bf4d942e4ee3e97dedc82